<?php
// +-----------------------------------------------------------------------+
// | Dynamic Recent Period - a PWG Plugin                                  |
// | Copyright (C) 2007 Ruben ARNAUD - rub@phpwebgallery.net               |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

if (!defined('PHPWG_ROOT_PATH'))
{
  die('Hacking attempt!');
}

add_event_handler('loc_begin_page_tail', 'dynareceperio_remove_recent_period');

function dynareceperio_remove_recent_period()
{
  global $conf, $page, $template, $edit_user;

  if
  (
    (script_basename() == 'profile')
    or
    (
      (script_basename() == 'admin') and
      (in_array($page['page'], array('profile', 'configuration')))
    )
  )
  {
    if 
    (
      !(isset($edit_user) and ($edit_user['id'] == $conf['default_user_id']))
      and
      $conf['dynareceperio']['force']
    )
    {
      $template->assign_block_vars(
        'footer_element',
        array('CONTENT' => '
<script type="text/javascript">
var LINode = document.getElementsByName("recent_period")[0].parentNode;
LINode.parentNode.removeChild(LINode);
</script>
'
        ));
    }
  }
}

?>
